Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.loader
Class LoaderMessages

    java.lang.Object
      xdoclet.loader.LoaderMessages

public final class LoaderMessages
extends java.lang.Object

Version:
  $Revision: 1.4 $
Author:
  Aslak Hellesøy
created
  17. juli 2002

Field Summary
`static java.lang.String` | `BAD_XDOCLET_XML`
`static java.lang.String` | `DONE_REGISTERING_MODULES`
`static java.lang.String` | `INIT_CLASSPATH_NOT_CALLED`
`static java.lang.String` | `INVALID_ZIP_FILE`
`static java.lang.String` | `LOAD_MODULE_ERROR`
`static java.lang.String` | `NONEXISTANT_CLASSPATH_ENTRY`
`static java.lang.String` | `PARSING_XDOCLET_XML`
`static java.lang.String` | `REGISTERING_MODULES`
`static java.lang.String` | `SKIP_NO_XDOCLET_XML`

Constructor Summary
`LoaderMessages()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGISTERING_MODULES

    public static final java.lang.String REGISTERING_MODULES

See Also:
  Constant Field Values
msg.bundle
  msg="Registering modules..."

### NONEXISTANT_CLASSPATH_ENTRY

    public static final java.lang.String NONEXISTANT_CLASSPATH_ENTRY

See Also:
  Constant Field Values
msg.bundle
  msg="There is an entry on XDoclet's classpath that doesn''t exist: {0}. Ignoring it"

### INIT_CLASSPATH_NOT_CALLED

    public static final java.lang.String INIT_CLASSPATH_NOT_CALLED

See Also:
  Constant Field Values
msg.bundle
  msg="initClasspath must be called first!"

### DONE_REGISTERING_MODULES

    public static final java.lang.String DONE_REGISTERING_MODULES

See Also:
  Constant Field Values
msg.bundle
  msg="Registered {0} modules."

### LOAD_MODULE_ERROR

    public static final java.lang.String LOAD_MODULE_ERROR

See Also:
  Constant Field Values
msg.bundle
  msg="Error during module loading: {0}"

### SKIP_NO_XDOCLET_XML

    public static final java.lang.String SKIP_NO_XDOCLET_XML

See Also:
  Constant Field Values
msg.bundle
  msg="Skipping {0} (no META-INF/xdoclet.xml in here)."

### BAD_XDOCLET_XML

    public static final java.lang.String BAD_XDOCLET_XML

See Also:
  Constant Field Values
msg.bundle
  msg="META-INF/xdoclet.xml is bad in {0}."

### PARSING_XDOCLET_XML

    public static final java.lang.String PARSING_XDOCLET_XML

See Also:
  Constant Field Values
msg.bundle
  msg="META-INF/xdoclet.xml exists in {0}. Parsing it."

### INVALID_ZIP_FILE

    public static final java.lang.String INVALID_ZIP_FILE

See Also:
  Constant Field Values
msg.bundle
  msg="Invalid zip/jar file: {0}"

Constructor Detail

### LoaderMessages

    public LoaderMessages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD